import gsap from 'gsap';
import { useEffect } from 'react';
import { useMediaQuery } from 'react-responsive';

export const MillgroveLogo = ({ width, height, className }) => {
  const isSmallScreen = useMediaQuery({ query: '(max-width: 767px)' });
  useEffect(() => {
    gsap.registerPlugin(ScrollTrigger);
    const tl = gsap.timeline({
      scrollTrigger: {
        trigger: '.containerWrap',
        start: 'top 92%',
        end: isSmallScreen ? '+=100' : '+=200',
        scrub: true,
        markers: false,
      },
    });
    tl.to('#theGradient stop', {
      attr: { offset: '0%' },
      yoyo: true,
    });
  }, []);

  return (
    <div className="containerWrap">
      <svg
        id="demo"
        className={className}
        width={width}
        height={height}
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 1672 223"
      >
        <defs>
          <linearGradient id="theGradient" x1="0%" y2="0%" x2="0%" y1="100%">
            <stop offset="100%" stopColor="#293227" />
            <stop offset="100%" stopColor="#4B5B47" />
          </linearGradient>
        </defs>
        <mask id="path-1-inside-1_1270_43" fill="white">
          <path d="M526.651 195.987C522.563 201.431 516.898 204.153 509.644 204.153H441.933V28.9278C441.933 21.674 443.867 16.6739 447.722 13.9522C451.576 11.0088 456.798 9.53095 463.375 9.53095V3.41016H393.287V9.53095C399.864 9.53095 405.085 11.0088 408.94 13.9522C412.795 16.6739 414.728 21.6617 414.728 28.9278V194.288C414.728 201.776 412.795 206.874 408.94 209.596C405.085 212.318 399.864 213.672 393.287 213.672V220.138H531.085L534.152 208.906L542.662 175.223L536.541 173.856C534.275 183.155 530.987 190.532 526.676 195.975L526.651 195.987Z" />
          <path d="M684.233 195.987C680.145 201.431 674.48 204.153 667.226 204.153H599.515V28.9278C599.515 21.674 601.449 16.6739 605.304 13.9522C609.158 11.0088 614.38 9.53095 620.957 9.53095V3.41016H550.869V9.53095C557.446 9.53095 562.667 11.0088 566.522 13.9522C570.377 16.6739 572.31 21.6617 572.31 28.9278V194.288C572.31 201.776 570.377 206.874 566.522 209.596C562.667 212.318 557.446 213.672 550.869 213.672V220.138H688.667L691.734 208.906L700.244 175.223L694.123 173.856C691.857 183.155 688.569 190.532 684.258 195.975L684.233 195.987Z" />
          <path d="M906.625 3.41016V9.53095C913.201 9.53095 918.423 11.0088 922.278 13.9522C926.133 16.6739 928.066 21.6617 928.066 28.9278V194.288C928.066 201.776 926.133 206.874 922.278 209.596C918.423 212.318 913.201 213.672 906.625 213.672V220.138H975.481V213.672C968.904 213.672 963.683 212.305 959.828 209.596C955.973 206.874 954.04 201.776 954.04 194.288V99.9143H957.882L1045.59 199.731C1048.99 203.82 1050.36 206.874 1049.68 208.919C1049 210.963 1046.96 212.318 1043.56 213.007C1040.16 213.463 1034.94 213.685 1027.91 213.685V220.15H1087.84V215.052L1026.38 142.92C1019.8 135.21 1012.54 127.944 1004.61 121.146C996.898 114.336 989.065 108.56 981.134 103.794L981.811 102.427C987.255 104.471 993.498 105.493 1000.52 105.493C1018.44 105.493 1032.96 100.961 1044.07 91.8846C1055.19 82.8081 1060.74 70.3325 1060.74 54.4578C1060.74 38.5832 1055.08 25.8736 1043.73 17.0311C1032.39 7.95458 1016.63 3.42247 996.442 3.42247H906.625V3.41016ZM947.254 19.0631H982.735C998.843 19.0631 1012.09 22.3514 1018.67 28.9278C1025.47 35.2826 1028.88 40.8615 1028.88 53.1155C1028.88 83.2884 1000.73 89.6309 987.833 89.6309C980.062 89.6309 947.254 92.6482 947.254 42.3764V19.0631Z" />
          <path d="M1400.9 9.53057C1409.06 9.53057 1415.75 10.0971 1420.97 11.2301C1426.19 12.1415 1429.81 13.9518 1431.86 16.6736C1434.12 19.1736 1434.36 22.7943 1432.54 27.5604L1388.3 156.171C1384.9 166.147 1382.51 177.157 1381.16 189.177C1380.83 192.588 1380.56 195.839 1380.33 198.967L1316.17 3.40977H1267.51V9.53057C1274.54 9.53057 1280.66 10.8976 1285.88 13.6193C1291.1 16.1194 1294.84 20.8731 1297.11 27.9053L1360.06 220.138H1388.3L1451.59 27.5604C1453.85 20.75 1457.6 16.107 1462.82 13.607C1468.04 10.8853 1474.16 9.51826 1481.19 9.51826V3.39746H1400.9V9.53057Z" />
          <path d="M1497.12 9.53252C1503.7 9.53252 1508.92 11.0104 1512.77 13.9538C1516.63 16.6755 1518.56 21.6633 1518.56 28.9294V194.289C1518.56 201.777 1516.63 206.876 1512.77 209.598C1508.92 212.319 1503.7 213.674 1497.12 213.674V220.14H1658.74L1662.14 208.908L1672 174.88L1665.88 172.836C1663.16 182.368 1659.53 189.967 1654.99 195.632C1650.68 201.297 1644.89 204.142 1637.64 204.142H1545.78V112.958H1615.53C1622.79 112.958 1627.79 114.547 1630.51 117.724C1633.45 120.667 1634.93 124.756 1634.93 129.978H1641.05V80.6421H1634.93C1634.93 85.8639 1633.45 90.0512 1630.51 93.2286C1627.79 96.172 1622.8 97.6498 1615.53 97.6498H1545.78V19.0524H1636.96C1644 19.0524 1649.09 21.7741 1652.27 27.2176C1655.67 32.661 1658.06 40.1488 1659.41 49.6687L1665.54 48.6465L1660.77 14.2863L1659.07 3.39941H1497.12V9.53252Z" />
          <path d="M1236.29 14.2987C1221.78 4.76647 1204.09 0.0126953 1183.22 0.0126953C1162.34 0.0126953 1144.66 4.77878 1130.14 14.2987C1115.62 23.5968 1104.73 36.5281 1097.47 53.0801C1090.22 69.4104 1086.59 88.2408 1086.59 109.559C1086.59 130.877 1090.22 150.163 1097.47 167.405C1104.73 184.412 1115.62 197.91 1130.14 207.898C1144.66 217.652 1162.34 222.529 1183.22 222.529C1204.09 222.529 1221.66 217.652 1235.95 207.898C1250.47 197.922 1261.36 184.425 1268.61 167.405C1275.86 150.163 1279.5 130.889 1279.5 109.559C1279.5 88.2285 1275.86 69.4104 1268.61 53.0801C1261.58 36.5281 1250.8 23.5968 1236.28 14.2987H1236.29ZM1243.11 161.284C1237.88 176.26 1230.17 187.824 1219.96 195.989C1209.76 204.154 1197.51 208.243 1183.22 208.243C1168.92 208.243 1156.68 204.154 1146.47 195.989C1136.26 187.824 1128.44 176.26 1122.99 161.284C1117.77 146.308 1115.17 129.079 1115.17 109.571C1115.17 90.0635 1117.78 73.1666 1122.99 58.8807C1128.44 44.5947 1136.26 33.5847 1146.47 25.8752C1156.68 17.9317 1168.92 13.9661 1183.22 13.9661C1197.51 13.9661 1209.76 17.9317 1219.96 25.8752C1230.17 33.5847 1237.88 44.5824 1243.11 58.8807C1248.55 73.1666 1251.27 90.0635 1251.27 109.571C1251.27 129.079 1248.55 146.321 1243.11 161.284Z" />
          <path d="M261.285 194.118L237.467 28.425C236.334 20.9372 237.356 15.8386 240.534 13.1169C243.711 10.3952 248.588 9.02813 255.164 9.02813V2.90734H201.407L151.739 157.713C148.34 168.144 146.296 177.787 145.618 186.63C145.384 189.684 145.236 192.763 145.138 195.842L86.0729 2.89502H30.6163V9.01582C37.1928 9.01582 42.0697 10.3828 45.2471 13.1046C48.4245 15.8263 49.5575 20.9249 48.6462 28.4127L25.1728 194.105C24.2615 201.359 21.5398 206.359 17.0077 209.081C12.4756 211.803 6.79815 213.157 0 213.157V219.623H68.0431V213.157C59.6562 213.157 53.3014 211.79 48.991 209.081C44.6806 206.359 42.981 201.371 43.8924 194.105L67.3411 27.2674L126.221 219.623H153.439L211.174 28.0925L235.103 194.105C236.236 201.359 234.647 206.359 230.336 209.081C226.26 211.803 220.127 213.157 211.962 213.157V219.623H286.47V213.157C279.894 213.157 274.34 211.79 269.795 209.081C265.263 206.359 262.418 201.371 261.285 194.105V194.118Z" />
          <path d="M300.141 2.89502V9.01582C307.628 9.01582 313.404 10.4937 317.493 13.4371C321.804 16.1588 323.959 21.1466 323.959 28.4127V193.773C323.959 201.26 321.804 206.359 317.493 209.081C313.404 211.803 307.628 213.157 300.141 213.157V219.623H374.994V213.157C367.506 213.157 361.607 211.79 357.297 209.081C353.208 206.359 351.176 201.26 351.176 193.773V28.4127C351.176 21.1589 353.22 16.1588 357.297 13.4371C361.607 10.4937 367.506 9.01582 374.994 9.01582V2.89502H300.141Z" />
          <path d="M887.601 184.043C877.601 196.05 866.025 205.385 852.847 211.974C838.327 219.006 821.319 222.516 801.812 222.516C771.417 222.516 747.944 212.651 731.379 192.91C714.827 172.946 706.539 145.163 706.539 109.546C706.539 87.9941 710.628 68.9421 718.793 52.3901C727.18 35.604 738.756 22.6728 753.498 13.6086C768.474 4.5321 781.466 0 800.518 0C819.571 0 839.793 3.85474 851.825 11.5642C863.845 19.052 872.466 28.8059 877.687 40.8258C882.909 52.8457 885.508 66.1218 885.508 80.6295V87.0951L850.803 83.3512C853.746 74.2747 855.224 65.6538 855.224 57.4887C855.224 43.8801 850.803 33.2149 841.96 25.5054C833.339 17.7959 821.775 13.9411 807.255 13.9411C793.646 13.9411 781.282 17.2294 770.173 23.8058C759.286 30.3823 750.555 40.8135 743.978 55.1118C737.623 69.1761 734.458 87.3168 734.458 109.546C734.458 129.276 737.525 146.296 743.646 160.582C750 174.646 758.843 185.422 770.185 192.91C776.688 196.998 783.769 199.93 791.43 201.715C801.294 204.018 812.317 204.141 822.317 202.528C836.467 200.237 867.01 192.602 870.951 170.606C873.685 155.347 863.574 146.628 855.125 142.121C853.931 141.382 852.625 140.717 851.172 140.175C850.211 139.793 849.165 139.424 848.044 139.079C844.078 137.736 841.246 137.318 841.246 137.318C838.499 136.739 835.47 136.222 832.12 135.754L779.385 129.288V123.844H887.577L887.626 184.03L887.601 184.043Z" />
        </mask>
        <path
          fill="url(#theGradient)"
          d="M526.651 195.987C522.563 201.431 516.898 204.153 509.644 204.153H441.933V28.9278C441.933 21.674 443.867 16.6739 447.722 13.9522C451.576 11.0088 456.798 9.53095 463.375 9.53095V3.41016H393.287V9.53095C399.864 9.53095 405.085 11.0088 408.94 13.9522C412.795 16.6739 414.728 21.6617 414.728 28.9278V194.288C414.728 201.776 412.795 206.874 408.94 209.596C405.085 212.318 399.864 213.672 393.287 213.672V220.138H531.085L534.152 208.906L542.662 175.223L536.541 173.856C534.275 183.155 530.987 190.532 526.676 195.975L526.651 195.987Z"
          stroke="#4B5B47"
          strokeWidth="2.4631"
          mask="url(#path-1-inside-1_1270_43)"
        />
        <path
          fill="url(#theGradient)"
          d="M684.233 195.987C680.145 201.431 674.48 204.153 667.226 204.153H599.515V28.9278C599.515 21.674 601.449 16.6739 605.304 13.9522C609.158 11.0088 614.38 9.53095 620.957 9.53095V3.41016H550.869V9.53095C557.446 9.53095 562.667 11.0088 566.522 13.9522C570.377 16.6739 572.31 21.6617 572.31 28.9278V194.288C572.31 201.776 570.377 206.874 566.522 209.596C562.667 212.318 557.446 213.672 550.869 213.672V220.138H688.667L691.734 208.906L700.244 175.223L694.123 173.856C691.857 183.155 688.569 190.532 684.258 195.975L684.233 195.987Z"
          stroke="#4B5B47"
          strokeWidth="2.4631"
          mask="url(#path-1-inside-1_1270_43)"
        />
        <path
          fill="url(#theGradient)"
          d="M906.625 3.41016V9.53095C913.201 9.53095 918.423 11.0088 922.278 13.9522C926.133 16.6739 928.066 21.6617 928.066 28.9278V194.288C928.066 201.776 926.133 206.874 922.278 209.596C918.423 212.318 913.201 213.672 906.625 213.672V220.138H975.481V213.672C968.904 213.672 963.683 212.305 959.828 209.596C955.973 206.874 954.04 201.776 954.04 194.288V99.9143H957.882L1045.59 199.731C1048.99 203.82 1050.36 206.874 1049.68 208.919C1049 210.963 1046.96 212.318 1043.56 213.007C1040.16 213.463 1034.94 213.685 1027.91 213.685V220.15H1087.84V215.052L1026.38 142.92C1019.8 135.21 1012.54 127.944 1004.61 121.146C996.898 114.336 989.065 108.56 981.134 103.794L981.811 102.427C987.255 104.471 993.498 105.493 1000.52 105.493C1018.44 105.493 1032.96 100.961 1044.07 91.8846C1055.19 82.8081 1060.74 70.3325 1060.74 54.4578C1060.74 38.5832 1055.08 25.8736 1043.73 17.0311C1032.39 7.95458 1016.63 3.42247 996.442 3.42247H906.625V3.41016ZM947.254 19.0631H982.735C998.843 19.0631 1012.09 22.3514 1018.67 28.9278C1025.47 35.2826 1028.88 40.8615 1028.88 53.1155C1028.88 83.2884 1000.73 89.6309 987.833 89.6309C980.062 89.6309 947.254 92.6482 947.254 42.3764V19.0631Z"
          stroke="#4B5B47"
          strokeWidth="2.4631"
          mask="url(#path-1-inside-1_1270_43)"
        />
        <path
          fill="url(#theGradient)"
          d="M1400.9 9.53057C1409.06 9.53057 1415.75 10.0971 1420.97 11.2301C1426.19 12.1415 1429.81 13.9518 1431.86 16.6736C1434.12 19.1736 1434.36 22.7943 1432.54 27.5604L1388.3 156.171C1384.9 166.147 1382.51 177.157 1381.16 189.177C1380.83 192.588 1380.56 195.839 1380.33 198.967L1316.17 3.40977H1267.51V9.53057C1274.54 9.53057 1280.66 10.8976 1285.88 13.6193C1291.1 16.1194 1294.84 20.8731 1297.11 27.9053L1360.06 220.138H1388.3L1451.59 27.5604C1453.85 20.75 1457.6 16.107 1462.82 13.607C1468.04 10.8853 1474.16 9.51826 1481.19 9.51826V3.39746H1400.9V9.53057Z"
          stroke="#4B5B47"
          strokeWidth="2.4631"
          mask="url(#path-1-inside-1_1270_43)"
        />
        <path
          fill="url(#theGradient)"
          d="M1497.12 9.53252C1503.7 9.53252 1508.92 11.0104 1512.77 13.9538C1516.63 16.6755 1518.56 21.6633 1518.56 28.9294V194.289C1518.56 201.777 1516.63 206.876 1512.77 209.598C1508.92 212.319 1503.7 213.674 1497.12 213.674V220.14H1658.74L1662.14 208.908L1672 174.88L1665.88 172.836C1663.16 182.368 1659.53 189.967 1654.99 195.632C1650.68 201.297 1644.89 204.142 1637.64 204.142H1545.78V112.958H1615.53C1622.79 112.958 1627.79 114.547 1630.51 117.724C1633.45 120.667 1634.93 124.756 1634.93 129.978H1641.05V80.6421H1634.93C1634.93 85.8639 1633.45 90.0512 1630.51 93.2286C1627.79 96.172 1622.8 97.6498 1615.53 97.6498H1545.78V19.0524H1636.96C1644 19.0524 1649.09 21.7741 1652.27 27.2176C1655.67 32.661 1658.06 40.1488 1659.41 49.6687L1665.54 48.6465L1660.77 14.2863L1659.07 3.39941H1497.12V9.53252Z"
          stroke="#4B5B47"
          strokeWidth="2.4631"
          mask="url(#path-1-inside-1_1270_43)"
        />
        <path
          fill="url(#theGradient)"
          d="M1236.29 14.2987C1221.78 4.76647 1204.09 0.0126953 1183.22 0.0126953C1162.34 0.0126953 1144.66 4.77878 1130.14 14.2987C1115.62 23.5968 1104.73 36.5281 1097.47 53.0801C1090.22 69.4104 1086.59 88.2408 1086.59 109.559C1086.59 130.877 1090.22 150.163 1097.47 167.405C1104.73 184.412 1115.62 197.91 1130.14 207.898C1144.66 217.652 1162.34 222.529 1183.22 222.529C1204.09 222.529 1221.66 217.652 1235.95 207.898C1250.47 197.922 1261.36 184.425 1268.61 167.405C1275.86 150.163 1279.5 130.889 1279.5 109.559C1279.5 88.2285 1275.86 69.4104 1268.61 53.0801C1261.58 36.5281 1250.8 23.5968 1236.28 14.2987H1236.29ZM1243.11 161.284C1237.88 176.26 1230.17 187.824 1219.96 195.989C1209.76 204.154 1197.51 208.243 1183.22 208.243C1168.92 208.243 1156.68 204.154 1146.47 195.989C1136.26 187.824 1128.44 176.26 1122.99 161.284C1117.77 146.308 1115.17 129.079 1115.17 109.571C1115.17 90.0635 1117.78 73.1666 1122.99 58.8807C1128.44 44.5947 1136.26 33.5847 1146.47 25.8752C1156.68 17.9317 1168.92 13.9661 1183.22 13.9661C1197.51 13.9661 1209.76 17.9317 1219.96 25.8752C1230.17 33.5847 1237.88 44.5824 1243.11 58.8807C1248.55 73.1666 1251.27 90.0635 1251.27 109.571C1251.27 129.079 1248.55 146.321 1243.11 161.284Z"
          stroke="#4B5B47"
          strokeWidth="2.4631"
          mask="url(#path-1-inside-1_1270_43)"
        />
        <path
          fill="url(#theGradient)"
          d="M261.285 194.118L237.467 28.425C236.334 20.9372 237.356 15.8386 240.534 13.1169C243.711 10.3952 248.588 9.02813 255.164 9.02813V2.90734H201.407L151.739 157.713C148.34 168.144 146.296 177.787 145.618 186.63C145.384 189.684 145.236 192.763 145.138 195.842L86.0729 2.89502H30.6163V9.01582C37.1928 9.01582 42.0697 10.3828 45.2471 13.1046C48.4245 15.8263 49.5575 20.9249 48.6462 28.4127L25.1728 194.105C24.2615 201.359 21.5398 206.359 17.0077 209.081C12.4756 211.803 6.79815 213.157 0 213.157V219.623H68.0431V213.157C59.6562 213.157 53.3014 211.79 48.991 209.081C44.6806 206.359 42.981 201.371 43.8924 194.105L67.3411 27.2674L126.221 219.623H153.439L211.174 28.0925L235.103 194.105C236.236 201.359 234.647 206.359 230.336 209.081C226.26 211.803 220.127 213.157 211.962 213.157V219.623H286.47V213.157C279.894 213.157 274.34 211.79 269.795 209.081C265.263 206.359 262.418 201.371 261.285 194.105V194.118Z"
          stroke="#4B5B47"
          strokeWidth="2.4631"
          mask="url(#path-1-inside-1_1270_43)"
        />
        <path
          fill="url(#theGradient)"
          d="M300.141 2.89502V9.01582C307.628 9.01582 313.404 10.4937 317.493 13.4371C321.804 16.1588 323.959 21.1466 323.959 28.4127V193.773C323.959 201.26 321.804 206.359 317.493 209.081C313.404 211.803 307.628 213.157 300.141 213.157V219.623H374.994V213.157C367.506 213.157 361.607 211.79 357.297 209.081C353.208 206.359 351.176 201.26 351.176 193.773V28.4127C351.176 21.1589 353.22 16.1588 357.297 13.4371C361.607 10.4937 367.506 9.01582 374.994 9.01582V2.89502H300.141Z"
          stroke="#4B5B47"
          strokeWidth="2.4631"
          mask="url(#path-1-inside-1_1270_43)"
        />
        <path
          fill="url(#theGradient)"
          d="M887.601 184.043C877.601 196.05 866.025 205.385 852.847 211.974C838.327 219.006 821.319 222.516 801.812 222.516C771.417 222.516 747.944 212.651 731.379 192.91C714.827 172.946 706.539 145.163 706.539 109.546C706.539 87.9941 710.628 68.9421 718.793 52.3901C727.18 35.604 738.756 22.6728 753.498 13.6086C768.474 4.5321 781.466 0 800.518 0C819.571 0 839.793 3.85474 851.825 11.5642C863.845 19.052 872.466 28.8059 877.687 40.8258C882.909 52.8457 885.508 66.1218 885.508 80.6295V87.0951L850.803 83.3512C853.746 74.2747 855.224 65.6538 855.224 57.4887C855.224 43.8801 850.803 33.2149 841.96 25.5054C833.339 17.7959 821.775 13.9411 807.255 13.9411C793.646 13.9411 781.282 17.2294 770.173 23.8058C759.286 30.3823 750.555 40.8135 743.978 55.1118C737.623 69.1761 734.458 87.3168 734.458 109.546C734.458 129.276 737.525 146.296 743.646 160.582C750 174.646 758.843 185.422 770.185 192.91C776.688 196.998 783.769 199.93 791.43 201.715C801.294 204.018 812.317 204.141 822.317 202.528C836.467 200.237 867.01 192.602 870.951 170.606C873.685 155.347 863.574 146.628 855.125 142.121C853.931 141.382 852.625 140.717 851.172 140.175C850.211 139.793 849.165 139.424 848.044 139.079C844.078 137.736 841.246 137.318 841.246 137.318C838.499 136.739 835.47 136.222 832.12 135.754L779.385 129.288V123.844H887.577L887.626 184.03L887.601 184.043Z"
          stroke="#4B5B47"
          strokeWidth="2.4631"
          mask="url(#path-1-inside-1_1270_43)"
        />
      </svg>
    </div>
  );
};
